DCMTK - Bug #1010

memory leak in DcmElement::getPartialValue
2021-09-09 07:23 - J6rg Riesmeier

Status: Closed

Priority: Normal
Assignee: Marco Eichelberg
Category: Library

Target version: 3.6.7

Module: dcmdata

Operating System:

Start date: 2021-09-09
Due date:

% Done: 100%
Estimated time: 1:00 hour
Compiler:

Description

Forum user "Shaeto" reports that "getPartialValue does not destroy readStream if stream status is not okay after creation".

See: https://forum.dcmtk.org/viewtopic.php?f=1&p=20894

History

#1 - 2021-11-12 18:09 - Marco Eichelberg
- Status changed from New to Closed

- Assignee set to Marco Eichelberg

- % Done changed from 0 to 100

- Estimated time set to 1:00 h

- Module set to dcmdata

#2 - 2021-11-12 18:09 - Marco Eichelberg
Closed by commit #d04385991.
